Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_ServerProtocolPolicy Class Reference

RTCORBA::ServerProtocolPolicy implementation. More...

`#include <RT_Policy_i.h>`

Inheritance diagram for TAO_ServerProtocolPolicy:

[legend]
Collaboration diagram for TAO_ServerProtocolPolicy:

[legend]
List of all members.

## Public Methods
| TAO_ServerProtocolPolicy (const RTCORBA::ProtocolList &protocols)
| Constructor. More...
| TAO_ServerProtocolPolicy (const TAO_ServerProtocolPolicy &rhs)
| Copy constructor. More...
RTCORBA::ProtocolList & | protocols_rep (void)
RTCORBA::ProtocolList * | protocols (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
CORBA::PolicyType | policy_type (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
CORBA::Policy_ptr | copy (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
void | destroy (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
TAO_Cached_Policy_Type | _tao_cached_type (void) const
TAO_Policy_Scope | _tao_scope (void) const
## Static Public Methods
int | hook (TAO_ORB_Core *orb_core, int &send_buffer_size, int &recv_buffer_size, int &no_delay, int &enable_network_priority, const char *protocol_type)
CORBA::Policy_ptr | create (const CORBA::Any &val ACE_ENV_ARG_DECL)
| Helper method for the implementation of CORBA::ORB::create_policy. More...
## Protected Methods
virtual | ~TAO_ServerProtocolPolicy (void)
| Protected destructor to enforce proper memory management of this reference counted object. More...
## Private Attributes
RTCORBA::ProtocolList | protocols_
| Attribute. More...

## Detailed Description

RTCORBA::ServerProtocolPolicy implementation.

This policy controls selection and configuration of communication protocols on the server-side of the RT ORB.

## Constructor & Destructor Documentation

TAO_ServerProtocolPolicy::TAO_ServerProtocolPolicy | ( | const RTCORBA::ProtocolList & | protocols | ) |

| Constructor.

TAO_ServerProtocolPolicy::TAO_ServerProtocolPolicy | ( | const TAO_ServerProtocolPolicy & | rhs | ) |

| Copy constructor.

TAO_ServerProtocolPolicy::~TAO_ServerProtocolPolicy | ( | void |  | ) | `[protected, virtual]`

| Protected destructor to enforce proper memory management of this reference counted object.

## Member Function Documentation

TAO_Cached_Policy_Type TAO_ServerProtocolPolicy::_tao_cached_type | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Policy.

TAO_Policy_Scope TAO_ServerProtocolPolicy::_tao_scope | ( | void |  | ) | const`[virtual]`

| Reimplemented from CORBA::Policy.

CORBA::Policy_ptr TAO_ServerProtocolPolicy::copy | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)

| Reimplemented from CORBA::Policy.

CORBA::Policy_ptr TAO_ServerProtocolPolicy::create | ( | const CORBA::Any &val | ACE_ENV_ARG_DECL | ) | `[static]`

| Helper method for the implementation of CORBA::ORB::create_policy.

void TAO_ServerProtocolPolicy::destroy | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from CORBA::Policy.

int TAO_ServerProtocolPolicy::hook | ( | TAO_ORB_Core * | orb_core,
|  | int & | send_buffer_size,
|  | int & | recv_buffer_size,
|  | int & | no_delay,
|  | int & | enable_network_priority,
|  | const char * | protocol_type
| ) | `[static]`

CORBA::PolicyType TAO_ServerProtocolPolicy::policy_type | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from CORBA::Policy.

RTCORBA::ProtocolList * TAO_ServerProtocolPolicy::protocols | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from RTCORBA::ServerProtocolPolicy.

RTCORBA::ProtocolList & TAO_ServerProtocolPolicy::protocols_rep | ( | void |  | ) |

| Accessor to the underlying protocols list of the policy (does not make a copy like the idl accessor <protocols> implementation below.)

## Member Data Documentation

RTCORBA::ProtocolList TAO_ServerProtocolPolicy::protocols_`[private]`

| Attribute.

The documentation for this class was generated from the following files:

- RT_Policy_i.h
- RT_Policy_i.cpp